Bug 128621 - FILESAVE XLSX Shapes placed in charts lost on save
Summary: FILESAVE XLSX Shapes placed in charts lost on save
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.2.0.4 release
Hardware: All All
: medium normal
Assignee: Balázs Varga
URL:
Whiteboard: target:7.2.0
Keywords: filter:xlsx
Depends on:
Blocks: OOXML-Chart
  Show dependency treegraph
 
Reported: 2019-11-06 09:53 UTC by NISZ LibreOffice Team
Modified: 2021-07-08 10:33 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Example file from Excel (19.55 KB, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet)
2019-11-06 09:53 UTC, NISZ LibreOffice Team
Details
Screenshot of the original document side by side in Excel and Calc (113.04 KB, image/png)
2019-11-06 09:54 UTC, NISZ LibreOffice Team
Details
The original file saved by Calc (15.02 KB, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet)
2019-11-06 09:54 UTC, NISZ LibreOffice Team
Details
Screenshot of the exported document side by side in Excel and Calc (87.10 KB, image/png)
2019-11-06 09:55 UTC, NISZ LibreOffice Team
Details

Note You need to log in before you can comment on or make changes to this bug.
Description NISZ LibreOffice Team 2019-11-06 09:53:03 UTC
Description:
Attached XLSX file contains shapes inserted inside the chart area. Calc opens this fine, but on saving the shapes completely disappear.

Steps to Reproduce:
1.	Create a chart in Excel
2.	While editing it select Insert – Shapes and insert some drawing shapes
3.	Save the file and open it in Calc
4.	Save the file from Calc


Actual Results:
Shapes disappear both in Calc and Excel on opening the file.

Expected Results:
Shapes are retained


Reproducible: Always


User Profile Reset: No



Additional Info:
LibreOffice details:
Version: 6.4.0.0.alpha1+ (x64)
Build ID: ad0a97ca200328d336a3cd58942f71a824b1f23a
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: GL; VCL: win; 
Locale: hu-HU (hu_HU); UI-Language: en-US
Calc: CL
Comment 1 NISZ LibreOffice Team 2019-11-06 09:53:39 UTC
Created attachment 155562 [details]
Example file from Excel
Comment 2 NISZ LibreOffice Team 2019-11-06 09:54:05 UTC
Created attachment 155563 [details]
Screenshot of the original document side by side in Excel and Calc
Comment 3 NISZ LibreOffice Team 2019-11-06 09:54:33 UTC
Created attachment 155564 [details]
The original file saved by Calc
Comment 4 NISZ LibreOffice Team 2019-11-06 09:55:08 UTC
Created attachment 155565 [details]
Screenshot of the exported document side by side in Excel and Calc
Comment 5 raal 2019-11-06 22:16:00 UTC
Confirm with Version: 6.4.0.0.alpha1+
Build ID: fa7f07d23de31e5f1660a643d83ca8a2e565f69c
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 

and Version: 4.2.0.0.alpha1+
Build ID: 22ea573b7417db0392c006dff06cde50ddbcd469
Comment 6 Commit Notification 2020-12-16 15:12:59 UTC
Balazs Varga committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/3184cfc493c6931725dce1de19ac958067b1fd25

tdf#128621 OOXML Chart: export embedded shapes in chart

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Buovjaga 2020-12-26 08:32:25 UTC
Balázs: the test added here is unreliable, can you fix it? On a Linux system I get

Chart2ExportTest::testuserShapesXLSX finished in: 231ms
chart2export.cxx:3078:Assertion
Test name: Chart2ExportTest::testuserShapesXLSX
double equality assertion failed
- Expected: 1356
- Actual  : 1914
- Delta   : 300
Comment 8 NISZ LibreOffice Team 2021-01-11 12:06:52 UTC
Verified in:

Version: 7.2.0.0.alpha0+ (x64)
Build ID: 96bafa464ebdbce3ef04bec9beae5e745bb37794
CPU threads: 4; OS: Windows 10.0 Build 17134; UI render: Skia/Raster; VCL: win
Locale: hu-HU (hu_HU); UI: hu-HU
Calc: threaded